Sample requests

Free sample requests the brand fulfils itself, newest first, across child brands

GET/api/public/v1/sample_requests
LiveAnswers from your brand's records now.

Operation id listSampleRequests

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/sample_requests" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
statusquerystring
campaign_idqueryinteger
updated_sincequerystring (date-time)
pagequeryinteger Default 1
per_pagequeryinteger Default 25

Responses

200Success

FieldTypeNotes
dataarray of object
data[].[].campaign_affiliate_idinteger, nullable
data[].[].campaign_idinteger
data[].[].campaign_namestring
data[].[].created_atstring (date-time)
data[].[].creatorobject
data[].[].creator.emailstring, nullable
data[].[].creator.first_namestring
data[].[].creator.last_namestring, nullable
data[].[].creator.namestring
data[].[].creator.phonestring, nullable
data[].[].creator.user_idinteger
data[].[].idinteger
data[].[].order_idstring, nullable
data[].[].order_namestring, nullable
data[].[].productobject
data[].[].product.amazon_product_idstring, nullable
data[].[].product.idinteger
data[].[].product.image_urlstring, nullable
data[].[].product.shopify_idstring, nullable
data[].[].product.skustring, nullable
data[].[].product.tik_tok_idstring, nullable
data[].[].product.titlestring
data[].[].product.urlstring, nullable
data[].[].quantityinteger
data[].[].shipping_addressobject, nullable
data[].[].shipping_address.address_line_1string
data[].[].shipping_address.address_line_2string, nullable
data[].[].shipping_address.citystring
data[].[].shipping_address.countrystring
data[].[].shipping_address.first_namestring
data[].[].shipping_address.last_namestring
data[].[].shipping_address.phonestring, nullable
data[].[].shipping_address.postal_codestring
data[].[].shipping_address.statestring, nullable
data[].[].sourcestring
data[].[].statusstringOne of pendingapprovedshippeddeliveredcompletedrejectedcancelled
data[].[].tracking_urlstring, nullable
data[].[].updated_atstring (date-time)
data[].[].variantobject, nullable
data[].[].variant.display_namestring, nullable
data[].[].variant.external_idstring, nullable
data[].[].variant.idinteger
data[].[].variant.pricenumber, nullable
data[].[].variant.skustring, nullable
data[].[].variant.titlestring, nullable
metaobject
meta.current_pageinteger
meta.page_countinteger
meta.per_pageinteger
meta.row_countinteger

Example

{
  "data": [
    {
      "campaign_affiliate_id": 1024,
      "campaign_id": 1024,
      "campaign_name": "Example name",
      "created_at": "2026-11-01T15:04:05Z",
      "creator": {
        "email": "creator@example.com",
        "first_name": "Example name",
        "last_name": "Example name",
        "name": "Example name",
        "phone": "string",
        "user_id": 1024
      },
      "id": 1024,
      "order_id": "string",
      "order_name": "Example name",
      "product": {
        "amazon_product_id": "string",
        "id": 1024,
        "image_url": "https://example.com/p/1",
        "shopify_id": "string",
        "sku": "string",
        "tik_tok_id": "string",
        "title": "string",
        "url": "https://example.com/p/1"
      },
      "quantity": 3,
      "shipping_address": {
        "address_line_1": "string",
        "address_line_2": "string",
        "city": "string",
        "country": "string",
        "first_name": "Example name",
        "last_name": "Example name",
        "phone": "string",
        "postal_code": "MAYA15",
        "state": "string"
      },
      "source": "string",
      "status": "pending",
      "tracking_url": "https://example.com/p/1",
      "updated_at": "2026-11-01T15:04:05Z",
      "variant": {
        "display_name": "Example name",
        "external_id": "string",
        "id": 1024,
        "price": 125.5,
        "sku": "string",
        "title": "string"
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "page_count": 1,
    "per_page": 1,
    "row_count": 3
  }
}

Errors: 401422with an error and usually a message. See errors.

Example values are made up from each field's type and name.